src/base/cs_halo_perio.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_halo_perio.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <math.h>`
`#include <stdarg.h>`
`#include <string.h>`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_periodicity.h"`
`#include "cs_base.h"`
`#include "cs_halo.h"`
`#include "cs_interface.h"`
`#include "cs_mesh.h"`
`#include "cs_prototypes.h"`
`#include "cs_timer.h"`
`#include "cs_halo_perio.h"`
Include dependency graph for cs_halo_perio.c:

## Functions
void | perrve (cs_real_t var1[], cs_real_t var2[], cs_real_t var3[])
void | perrte (cs_real_t var11[], cs_real_t var12[], cs_real_t var13[], cs_real_t var21[], cs_real_t var22[], cs_real_t var23[], cs_real_t var31[], cs_real_t var32[], cs_real_t var33[])
void | cs_halo_perio_sync_coords (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t *coords)
void | cs_halo_perio_sync_var_vect (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var[], int incvar)
void | cs_halo_perio_sync_var_vect_ni (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var_x[], cs_real_t var_y[], cs_real_t var_z[])
void | cs_halo_perio_sync_var_tens_ni (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var11[], cs_real_t var12[], cs_real_t var13[], cs_real_t var21[], cs_real_t var22[], cs_real_t var23[], cs_real_t var31[], cs_real_t var32[], cs_real_t var33[])
void | cs_halo_perio_sync_var_tens (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var[])
void | cs_halo_perio_sync_var_sym_tens (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var[])
void | cs_halo_perio_sync_var_diag_ni (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var11[], cs_real_t var22[], cs_real_t var33[])
void | cs_halo_perio_sync_var_diag (const cs_halo_t *halo, cs_halo_type_t sync_mode, cs_real_t var[])
void | cs_halo_perio_rotate_rij (cs_real_t *drdxyz)

## Function Documentation

void cs_halo_perio_rotate_rij | ( | cs_real_t * | drdxyz | ) |

void cs_halo_perio_sync_coords | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t * | coords
| ) |  |

void cs_halo_perio_sync_var_diag | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var[]
| ) |  |

void cs_halo_perio_sync_var_diag_ni | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var11[],
|  | cs_real_t | var22[],
|  | cs_real_t | var33[]
| ) |  |

void cs_halo_perio_sync_var_sym_tens | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var[]
| ) |  |

void cs_halo_perio_sync_var_tens | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var[]
| ) |  |

void cs_halo_perio_sync_var_tens_ni | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var11[],
|  | cs_real_t | var12[],
|  | cs_real_t | var13[],
|  | cs_real_t | var21[],
|  | cs_real_t | var22[],
|  | cs_real_t | var23[],
|  | cs_real_t | var31[],
|  | cs_real_t | var32[],
|  | cs_real_t | var33[]
| ) |  |

void cs_halo_perio_sync_var_vect | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var[],
|  | int | incvar
| ) |  |

void cs_halo_perio_sync_var_vect_ni | ( | const cs_halo_t * | halo,
|  | cs_halo_type_t | sync_mode,
|  | cs_real_t | var_x[],
|  | cs_real_t | var_y[],
|  | cs_real_t | var_z[]
| ) |  |

void perrte | ( | cs_real_t | var11[],
|  | cs_real_t | var12[],
|  | cs_real_t | var13[],
|  | cs_real_t | var21[],
|  | cs_real_t | var22[],
|  | cs_real_t | var23[],
|  | cs_real_t | var31[],
|  | cs_real_t | var32[],
|  | cs_real_t | var33[]
| ) |  |

void perrve | ( | cs_real_t | var1[],
|  | cs_real_t | var2[],
|  | cs_real_t | var3[]
| ) |  |